import { OnInit } from '@angular/core';
import { AbstractControl, FormBuilder, FormGroup } from '@angular/forms';
import { ModalController } from '@ionic/angular';
import { InlineEditorComponent } from '../inline-editor/inline-editor.component';
import * as i0 from "@angular/core";
export declare class TapValueEditorModalComponent implements OnInit {
    private modalController;
    inputOptions: InlineEditorComponent.InputOptions | any;
    set value(v: any);
    field: AbstractControl;
    form: FormGroup;
    constructor(formBuilder: FormBuilder, modalController: ModalController);
    ngOnInit(): void;
    onSubmit(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapValueEditorModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapValueEditorModalComponent, "tap-value-editor-modal", never, { "inputOptions": "inputOptions"; "value": "value"; }, {}, never, never, false, never>;
}
